package gov.va.med.esr.service.external.person;
import gov.va.med.esr.service.external.ExternalComponent;
import gov.va.med.esr.service.external.person.collections.EmailCollection;
import gov.va.med.esr.service.external.person.collections.PhoneCollection;
public class DeliveryPreferenceInfo extends ExternalComponent{

	/**
	 * 
	 */
	private static final long serialVersionUID = -7689138439600511061L;

	
	
    private Boolean editableFlag;
    private String deliveryPreference;
    private String emailAddress;
    private String emailType;
	
	public String getDeliveryPreference() {
		return deliveryPreference;
	}
	public void setDeliveryPreference(String deliveryPreference) {
		this.deliveryPreference = deliveryPreference;
	}
	
	
	
	public String getEmailAddress() {
		return emailAddress;
	}
	public void setEmailAddress(String emailAddress) {
		this.emailAddress = emailAddress;
	}
	public String getEmailType() {
		return emailType;
	}
	public void setEmailType(String emailType) {
		this.emailType = emailType;
	}
	public Boolean getEditableFlag() {
		return editableFlag;
	}
	public void setEditableFlag(Boolean editableFlag) {
		this.editableFlag = editableFlag;
	}
}
